import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  serviceLineId: SortOrderSchema.optional(),
  transactionId: SortOrderSchema.optional(),
  paidAmount: SortOrderSchema.optional(),
  adjustedAmount: SortOrderSchema.optional(),
  method: SortOrderSchema.optional(),
  receivedDate: SortOrderSchema.optional(),
  payerName: SortOrderSchema.optional(),
  notes: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const ServiceLineTransactionCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineTransactionCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineTransactionCountOrderByAggregateInput>;
export const ServiceLineTransactionCountOrderByAggregateInputObjectZodSchema = makeSchema();
